"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const args = process.argv.slice(2);
const c = !args.includes("--config") &&
    !utils_1.hasFile(".eslintrc") &&
    !utils_1.hasFile(".eslintrc.js")
    ? ["--config", utils_1.config("eslint.js")]
    : [];
const res = utils_1.run(utils_1.resolveBin("eslint"), [
    ...c,
    "--ext",
    ".ts,.tsx,.js,.jsx",
    ...args,
    ".",
]);
utils_1.exit(res.status);
//# sourceMappingURL=lint.js.map