"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const args = process.argv.slice(2);
const c = !args.includes("--config") &&
    !utils_1.hasFile("prettier.config.js") &&
    !utils_1.hasFile("prettierrc.js")
    ? ["--config", utils_1.config("prettier.config.js")]
    : [];
const i = !args.includes("--ignore-path") && !utils_1.hasFile(".prettierignore")
    ? ["--ignore-path", utils_1.config(".prettierignore")]
    : [];
const relativeArgs = args.map((a) => a.replace(`${process.cwd()}/`, ""));
const res = utils_1.run(utils_1.resolveBin("prettier"), [
    ...c,
    ...i,
    "--write",
    "./**/*.+(js|jsx|ts|tsx|json|yml|yaml|md|html|css|less|scss|graphql)",
    ...relativeArgs,
]);
utils_1.exit(res.status);
//# sourceMappingURL=format.js.map