"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const args = process.argv.slice(2);
const c = !args.includes("--config") &&
    !utils_1.hasFile(".lintstagedrc'") &&
    !utils_1.hasFile("lint-staged.config.js")
    ? ["--config", utils_1.config("lintstagedrc.js")]
    : [];
const res = utils_1.run(utils_1.resolveBin("lint-staged"), [...c, ...args]);
utils_1.exit(res.status);
//# sourceMappingURL=pre-commit.js.map