"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
const args = process.argv.slice(2);
const c = !args.includes("--config") && !utils_1.hasFile("jest.config.js")
    ? // eslint-disable-next-line
        ["--config", JSON.stringify(require("../config/jest.config.js"))]
    : [];
const res = utils_1.run(utils_1.resolveBin("jest"), [...c, ...args], false, {
    ENVIRONMENT: "test",
});
utils_1.exit(res.status);
//# sourceMappingURL=test.js.map